Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
CacheInfo Constructor
CacheInfo Class See Also Send Feedback

Create a new CacheInfo object. The size of the cache is set to gbytes gigabytes plus bytes and spread over numCaches separate caches.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public CacheInfo(
    	uint gbytes,
    	uint bytes,
    	int numCaches
    )

Visual Basic (Declaration)
    Public Sub New ( _
    	gbytes As UInteger, _
    	bytes As UInteger, _
    	numCaches As Integer _
    )

Visual C++
    public:
    CacheInfo(
    	unsigned int gbytes,
    	unsigned int bytes,
    	int numCaches
    )

#### Parameters

gbytes
  Type: System..::.UInt32
  The number of gigabytes in the cache

bytes
  Type: System..::.UInt32
  The number of bytes in the cache

numCaches
  Type: System..::.Int32
  The number of caches

# See Also

CacheInfo Class
BerkeleyDB Namespace